Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SavedMessagesTopic

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.SavedMessagesTopic

Enclosing class:
  TdApi

public static final class TdApi.SavedMessagesTopic extends TdApi.Object
Contains information about a Saved Messages topic.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.DraftMessage`
`draftMessage`
A draft of a message in the topic; may be null if none.
`long`
`id`
Unique topic identifier.
`boolean`
`isPinned`
True, if the topic is pinned.
`TdApi.Message`
`lastMessage`
Last message in the topic; may be null if none or unknown.
`long`
`order`
A parameter used to determine order of the topic in the topic list.
`TdApi.SavedMessagesTopicType`
`type`
Type of the topic.

## Constructor Summary

Constructors
Constructor
Description
`SavedMessagesTopic()`
Contains information about a Saved Messages topic.
`SavedMessagesTopic(long id, TdApi.SavedMessagesTopicType type, boolean isPinned, long order, TdApi.Message lastMessage, TdApi.DraftMessage draftMessage)`
Contains information about a Saved Messages topic.
`SavedMessagesTopic(DataInput input)`
Contains information about a Saved Messages topic.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
Unique topic identifier.

### type

public TdApi.SavedMessagesTopicType type
Type of the topic.

### isPinned

public boolean isPinned
True, if the topic is pinned.

### order

public long order
A parameter used to determine order of the topic in the topic list. Topics must be sorted by the order in descending order.

### lastMessage

public TdApi.Message lastMessage
Last message in the topic; may be null if none or unknown.

### draftMessage

public TdApi.DraftMessage draftMessage
A draft of a message in the topic; may be null if none.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SavedMessagesTopic

public SavedMessagesTopic()
Contains information about a Saved Messages topic.

### SavedMessagesTopic

public SavedMessagesTopic(long id, TdApi.SavedMessagesTopicType type, boolean isPinned, long order, TdApi.Message lastMessage, TdApi.DraftMessage draftMessage)
Contains information about a Saved Messages topic.

Parameters:
  `id` - Unique topic identifier.
  `type` - Type of the topic.
  `isPinned` - True, if the topic is pinned.
  `order` - A parameter used to determine order of the topic in the topic list. Topics must be sorted by the order in descending order.
  `lastMessage` - Last message in the topic; may be null if none or unknown.
  `draftMessage` - A draft of a message in the topic; may be null if none.

### SavedMessagesTopic

public SavedMessagesTopic(DataInput input) throws IOException
Contains information about a Saved Messages topic.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`